Subject: Re: [PATCH] rfkill: allocate static minor

From: Greg KH <[email-masked]>
Date: Thu, 24 Oct 2019 14:44:08 -0400

On Thu, Oct 24, 2019 at 07:40:42PM +0200, Marcel Holtmann wrote:
> udev has a feature of creating /dev/<node> device-nodes if it finds
> a devnode:<node> modalias. This allows for auto-loading of modules that
> provide the node. This requires to use a statically allocated minor
> number for misc character devices.
> 
> However, rfkill uses dynamic minor numbers and prevents auto-loading
> of the module. So allocate the next static misc minor number and use
> it for rfkill.

As rfkill has been around for a long time, what new use case is needing
to auto-load this based on a major number?

thanks,

greg k-h